import time
import board
import displayio
import adafruit_imageload
import busio
from adafruit_st7789 import ST7789

image1, palette = adafruit_imageload.load(
    "/images/bild1.bmp", bitmap=displayio.Bitmap, palette=displayio.Palette
)
tile_grid1 = displayio.TileGrid(image1, pixel_shader=palette)

image2, palette = adafruit_imageload.load(
    "/images/bild2.bmp", bitmap=displayio.Bitmap, palette=displayio.Palette
)
tile_grid2 = displayio.TileGrid(image2, pixel_shader=palette)

image3, palette = adafruit_imageload.load(
    "/images/bild3.bmp", bitmap=displayio.Bitmap, palette=displayio.Palette
)
tile_grid3 = displayio.TileGrid(image3, pixel_shader=palette)

image4, palette = adafruit_imageload.load(
    "/images/bild6.bmp", bitmap=displayio.Bitmap, palette=displayio.Palette
)
tile_grid4 = displayio.TileGrid(image4, pixel_shader=palette)

cs=board.GP9
dc=board.GP8
reset=board.GP12

# Release any resources currently in use for the displays
displayio.release_displays()
spi = busio.SPI(board.GP10, board.GP11)
display_bus = displayio.FourWire(
            spi, command=dc, chip_select=cs, reset=reset)
display = ST7789(
    display_bus, rotation=270, width=240, height=135, rowstart=40, colstart=53
)

group1 = displayio.Group()
group1.append(tile_grid1)
group2 = displayio.Group()
group2.append(tile_grid2)
group3 = displayio.Group()
group3.append(tile_grid3)
group4 = displayio.Group()
group4.append(tile_grid4)

while True:
    display.show(group1)
    time.sleep(5)
    display.show(group2)
    time.sleep(5)
    display.show(group3)
    time.sleep(5)
    display.show(group4)
    time.sleep(5)